/* GCC */

#include <fstream>
#include <vector>
#define LONG unsigned long long

using namespace std;

ifstream fin;
ofstream fout;
int N;
vector<int> A, D;

inline int gcd(int a, int b)
{
     int tmp;
     while(b)
     {
         tmp = b;
         b = a%b;
         a = tmp;     
     }
     return a;
}

inline bool IsGood()
{
     for(int i = 0; i < N; i++)
     {
          for(int j = 0; j < N; j++)
          {
              if(i == j)
                   continue;
              if((A[i]-A[j])%gcd(D[i], D[j]))
                   return false;        
          }        
     }
     return true;
}

inline int BiggestD()
{
    long long biggestVal = D[0];
    int biggestIndex = 0; 
    for(int i = 1; i < N; i++)
        if(D[i] > biggestVal)
        {
            biggestVal = D[i];
            biggestIndex = i;        
        }
    return biggestIndex;
}

inline long long Solve()
{
    int biggestD = BiggestD();
    LONG tmp;
    for(LONG num = A[biggestD]; ;num += D[biggestD])
        for(int i = 0; i < N; i++)
        {
            tmp = (num-A[i])/D[i];
            if(num - tmp*D[i] == A[i])
            {
                 if(i == N-1)
                      return num;       
            }
            else
                break;
        }
}

inline void Input()
{
    fin.open("common.in");
    fin>>N;
    int tmp;
    for(int i = 0; i < N; i++)
    {
        fin>>tmp;
        A.push_back(tmp);
        fin>>tmp;
        D.push_back(tmp);
    }
    fin.close();       
}


int main()
{
    Input();
    fout.open("common.out");
    if(IsGood())
        fout<<Solve()<<endl;
    else
        fout<<0<<endl;       
    fout.close();
    return 0;   
}
